summaryrefslogtreecommitdiff
path: root/debian/prerm
diff options
context:
space:
mode:
authorSteven Knight <knight@baldmt.com>2002-04-24 12:51:00 +0000
committerSteven Knight <knight@baldmt.com>2002-04-24 12:51:00 +0000
commit7eddfeb87f28c4cf8ba6839efdad8b366214ec01 (patch)
tree5687008a55ac5282705d8800a9f955c8bc3cafa1 /debian/prerm
parent35f863c494e66e1524789ac329a6e9aff5f46189 (diff)
downloadscons-7eddfeb87f28c4cf8ba6839efdad8b366214ec01.tar.gz
Rework Debian packaging ito incorporate changes from Moshe Zadka, official Debian SCons package maintainer.
Diffstat (limited to 'debian/prerm')
-rw-r--r--debian/prerm12
1 files changed, 12 insertions, 0 deletions
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 00000000..62531a3e
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+NAME=scons
+
+dpkg --listfiles $NAME |
+ awk '$0~/\.py$/ {print $0"c\n" $0"o"}' |
+ xargs rm -f >&2
+
+if [ \( "$1" = "upgrade" -o "$1" = "remove" \) -a -L /usr/doc/scons ]; then
+ rm -f /usr/doc/scons
+fi